<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: EffBulletImpactBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/ddb/class_eff_bullet_impact_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">EffBulletImpactBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EffBulletImpactBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/ddb/class_eff_bullet_impact_base.png" usemap="#EffBulletImpactBase_map" alt=""/>
  <map id="EffBulletImpactBase_map" name="EffBulletImpactBase_map">
<area href="../../de/d27/class_effect_particle.html" title="Wrapper class for managing particles through SEffectManager." alt="EffectParticle" shape="rect" coords="0,0,126,24"/>
<area href="../../d5/d12/class_hit___concrete.html" alt="Hit_Concrete" shape="rect" coords="136,112,262,136"/>
<area href="../../df/d51/class_hit___dirt.html" alt="Hit_Dirt" shape="rect" coords="136,168,262,192"/>
<area href="../../d4/dc8/class_hit___error_no_material.html" alt="Hit_ErrorNoMaterial" shape="rect" coords="136,224,262,248"/>
<area href="../../d0/d9d/class_hit___foliage.html" alt="Hit_Foliage" shape="rect" coords="136,280,262,304"/>
<area href="../../d8/dfb/class_hit___glass.html" alt="Hit_Glass" shape="rect" coords="136,336,262,360"/>
<area href="../../db/d35/class_hit___grass.html" alt="Hit_Grass" shape="rect" coords="136,392,262,416"/>
<area href="../../d8/d4f/class_hit___gravel.html" alt="Hit_Gravel" shape="rect" coords="136,448,262,472"/>
<area href="../../d4/d59/class_hit___meat_bones.html" alt="Hit_MeatBones" shape="rect" coords="136,504,262,528"/>
<area href="../../da/ddc/class_hit___metal.html" alt="Hit_Metal" shape="rect" coords="136,560,262,584"/>
<area href="../../d0/d7c/class_hit___plaster.html" alt="Hit_Plaster" shape="rect" coords="136,616,262,640"/>
<area href="../../df/d1c/class_hit___plastic.html" alt="Hit_Plastic" shape="rect" coords="136,672,262,696"/>
<area href="../../d9/d3a/class_hit___rubber.html" alt="Hit_Rubber" shape="rect" coords="136,728,262,752"/>
<area href="../../d4/d21/class_hit___sand.html" alt="Hit_Sand" shape="rect" coords="136,784,262,808"/>
<area href="../../d3/d6e/class_hit___textile.html" alt="Hit_Textile" shape="rect" coords="136,840,262,864"/>
<area href="../../d7/db3/class_hit___undefined.html" alt="Hit_Undefined" shape="rect" coords="136,896,262,920"/>
<area href="../../dd/d73/class_hit___water.html" alt="Hit_Water" shape="rect" coords="136,952,262,976"/>
<area href="../../db/d5b/class_hit___wood.html" alt="Hit_Wood" shape="rect" coords="136,1008,262,1032"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a941f83c83291afd6bd7cc3e47befd0e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a941f83c83291afd6bd7cc3e47befd0e1">EffBulletImpactBase</a> ()</td></tr>
<tr class="separator:a941f83c83291afd6bd7cc3e47befd0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20ca49e3ed1b44b857782c8ceea8e9b4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a20ca49e3ed1b44b857782c8ceea8e9b4">OnCheckUpdate</a> ()</td></tr>
<tr class="separator:a20ca49e3ed1b44b857782c8ceea8e9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d3a64b754ef643bf0e6c7245d9b024"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a52d3a64b754ef643bf0e6c7245d9b024">SetEnterParticle</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:a52d3a64b754ef643bf0e6c7245d9b024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3abaab42a9c169537f1bcadbbc9cbede"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a3abaab42a9c169537f1bcadbbc9cbede">SetExitParticle</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:a3abaab42a9c169537f1bcadbbc9cbede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff894f60e4e17ff15d3d31014f07200"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#aaff894f60e4e17ff15d3d31014f07200">SetRicochetParticle</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:aaff894f60e4e17ff15d3d31014f07200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2478901ae483c57515583c6a5505933a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a2478901ae483c57515583c6a5505933a">SetSingleParticle</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:a2478901ae483c57515583c6a5505933a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a562187bb57d12b2011cd9cac18f66b6a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a562187bb57d12b2011cd9cac18f66b6a">SetAngledEnterValue</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> f)</td></tr>
<tr class="separator:a562187bb57d12b2011cd9cac18f66b6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bb5042b2cf7c20f343db655ae48bc54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a7bb5042b2cf7c20f343db655ae48bc54">EvaluateEffect</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> directHit, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> componentIndex, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> impact_type, <a class="el" href="../../d7/dfc/classvector.html">vector</a> surfNormal, <a class="el" href="../../d7/dfc/classvector.html">vector</a> exitPos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> inSpeed, <a class="el" href="../../d7/dfc/classvector.html">vector</a> outSpeed, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType)</td></tr>
<tr class="separator:a7bb5042b2cf7c20f343db655ae48bc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ea1eadb440de8d08978f819a0f5096"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a02ea1eadb440de8d08978f819a0f5096">CalculateStoppingForce</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> in_speedf, <a class="el" href="../../d4/dc3/classfloat.html">float</a> out_speedf, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType, <a class="el" href="../../d4/dc3/classfloat.html">float</a> weight)</td></tr>
<tr class="separator:a02ea1eadb440de8d08978f819a0f5096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38e79ddf0f342b2c864141866f993c97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a38e79ddf0f342b2c864141866f993c97">OnEnterCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:a38e79ddf0f342b2c864141866f993c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82d55850e109b39ea611b011b61dfa6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a82d55850e109b39ea611b011b61dfa6c">OnExitCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p, <a class="el" href="../../d4/dc3/classfloat.html">float</a> outSpeedf)</td></tr>
<tr class="separator:a82d55850e109b39ea611b011b61dfa6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f3c16301b760a1af0da25a40704c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#aa40f3c16301b760a1af0da25a40704c9">OnRicochetCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p, <a class="el" href="../../d4/dc3/classfloat.html">float</a> outspeedf)</td></tr>
<tr class="separator:aa40f3c16301b760a1af0da25a40704c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15310d1560480f29e49171a6bc4484de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a15310d1560480f29e49171a6bc4484de">OnEnterAngledCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:a15310d1560480f29e49171a6bc4484de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a855374c984d73f056a2d034bff727"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a70a855374c984d73f056a2d034bff727">Event_OnStarted</a> ()</td></tr>
<tr class="separator:a70a855374c984d73f056a2d034bff727"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae542890f18ea957064915cc5ad0521c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#ae542890f18ea957064915cc5ad0521c1">MIN_SCALING_PARAM</a> = 0.1</td></tr>
<tr class="separator:ae542890f18ea957064915cc5ad0521c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba28c57a5c434cc91f1b8d57885a5f88"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#aba28c57a5c434cc91f1b8d57885a5f88">m_DirectHit</a></td></tr>
<tr class="separator:aba28c57a5c434cc91f1b8d57885a5f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a643ce3fe6def07ad275f3540272dcba5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a643ce3fe6def07ad275f3540272dcba5">m_StoppingForce</a></td></tr>
<tr class="separator:a643ce3fe6def07ad275f3540272dcba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada07e8f3494ac184a81451f89fcd5296"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#ada07e8f3494ac184a81451f89fcd5296">m_Weight</a></td></tr>
<tr class="separator:ada07e8f3494ac184a81451f89fcd5296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09243023bb2daaf3c09c3c781b71b33a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a09243023bb2daaf3c09c3c781b71b33a">m_ImpactType</a></td></tr>
<tr class="separator:a09243023bb2daaf3c09c3c781b71b33a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56314704297aa1a71c1df792f955e741"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a56314704297aa1a71c1df792f955e741">m_ComponentIndex</a></td></tr>
<tr class="separator:a56314704297aa1a71c1df792f955e741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc5bf64574ba1c1a0f1bcc6c3f39f74d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#afc5bf64574ba1c1a0f1bcc6c3f39f74d">m_Pos</a></td></tr>
<tr class="separator:afc5bf64574ba1c1a0f1bcc6c3f39f74d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018ee92abd39eb02391387b7b3cecef3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a018ee92abd39eb02391387b7b3cecef3">m_SurfNormal</a></td></tr>
<tr class="separator:a018ee92abd39eb02391387b7b3cecef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c93a351aba15589abb820eb72fb3305"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a3c93a351aba15589abb820eb72fb3305">m_ExitPos</a></td></tr>
<tr class="separator:a3c93a351aba15589abb820eb72fb3305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe16a8df96c10885dd2dea493ffaf234"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#afe16a8df96c10885dd2dea493ffaf234">m_InSpeed</a></td></tr>
<tr class="separator:afe16a8df96c10885dd2dea493ffaf234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a293d17757efb01b71223616dfd0b14dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a293d17757efb01b71223616dfd0b14dc">m_OutSpeed</a></td></tr>
<tr class="separator:a293d17757efb01b71223616dfd0b14dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da9980e666b8070ef1fae941f694cb6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a0da9980e666b8070ef1fae941f694cb6">m_AmmoType</a></td></tr>
<tr class="separator:a0da9980e666b8070ef1fae941f694cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9130cfa8528e369931fd03524872f607"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a9130cfa8528e369931fd03524872f607">m_ParticleEnter</a> = -1</td></tr>
<tr class="separator:a9130cfa8528e369931fd03524872f607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a6502225c2e94c703c5a9c56d1deda"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a70a6502225c2e94c703c5a9c56d1deda">m_ParticleExit</a> = -1</td></tr>
<tr class="separator:a70a6502225c2e94c703c5a9c56d1deda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a760651af62198c83ed6b4ef33b0c5134"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a760651af62198c83ed6b4ef33b0c5134">m_ParticleRicochet</a> = -1</td></tr>
<tr class="separator:a760651af62198c83ed6b4ef33b0c5134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d83d6128d28bfe23e4529a7e6fa732e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a6d83d6128d28bfe23e4529a7e6fa732e">m_EnterSplashCoef</a> = 0.003</td></tr>
<tr class="separator:a6d83d6128d28bfe23e4529a7e6fa732e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab75bfede5d9820a767aa96aa8535ca3a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#ab75bfede5d9820a767aa96aa8535ca3a">m_ExitSplashCoef</a> = 0.002</td></tr>
<tr class="separator:ab75bfede5d9820a767aa96aa8535ca3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6312eaa09499b7dc2d47402d38e84fb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#af6312eaa09499b7dc2d47402d38e84fb">m_RicochetSplashCoef</a> = 0.002</td></tr>
<tr class="separator:af6312eaa09499b7dc2d47402d38e84fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc3e1b72cb2709262ed674dc55d7fd27"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#afc3e1b72cb2709262ed674dc55d7fd27">m_EnterAngledSplashCoef</a> = 0.01</td></tr>
<tr class="separator:afc3e1b72cb2709262ed674dc55d7fd27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1d698f7d0101fc837a083fd929a499"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a8b1d698f7d0101fc837a083fd929a499">m_AngledEnter</a> = 0.40</td></tr>
<tr class="separator:a8b1d698f7d0101fc837a083fd929a499"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a4c62775882b556f802d74999ea9cd71d"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a4c62775882b556f802d74999ea9cd71d">SURVIVOR_HEAD</a> = 0</td></tr>
<tr class="separator:a4c62775882b556f802d74999ea9cd71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23cda262cf7c0ee20137f7f7cd3ed832"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a23cda262cf7c0ee20137f7f7cd3ed832">INFECTED_HEAD</a> = 3</td></tr>
<tr class="separator:a23cda262cf7c0ee20137f7f7cd3ed832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab117212103bc2e3ae931d27879d52db3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#ab117212103bc2e3ae931d27879d52db3">DEFAULT_PROJECTILE_WEIGHT</a> = 0.015</td></tr>
<tr class="separator:ab117212103bc2e3ae931d27879d52db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27738a12b61b0144a61c024903a50f55"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html#a27738a12b61b0144a61c024903a50f55">INVALID</a> = &quot;0 0 0&quot;</td></tr>
<tr class="separator:a27738a12b61b0144a61c024903a50f55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a941f83c83291afd6bd7cc3e47befd0e1" name="a941f83c83291afd6bd7cc3e47befd0e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a941f83c83291afd6bd7cc3e47befd0e1">&#9670;&#160;</a></span>EffBulletImpactBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::EffBulletImpactBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00035">35</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a02ea1eadb440de8d08978f819a0f5096" name="a02ea1eadb440de8d08978f819a0f5096"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02ea1eadb440de8d08978f819a0f5096">&#9670;&#160;</a></span>CalculateStoppingForce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::CalculateStoppingForce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>in_speedf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>out_speedf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00088">88</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a7bb5042b2cf7c20f343db655ae48bc54" name="a7bb5042b2cf7c20f343db655ae48bc54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bb5042b2cf7c20f343db655ae48bc54">&#9670;&#160;</a></span>EvaluateEffect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::EvaluateEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>directHit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>componentIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>impact_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>surfNormal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>exitPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>inSpeed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>outSpeed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00072">72</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a70a855374c984d73f056a2d034bff727" name="a70a855374c984d73f056a2d034bff727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70a855374c984d73f056a2d034bff727">&#9670;&#160;</a></span>Event_OnStarted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffBulletImpactBase::Event_OnStarted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00221">221</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a20ca49e3ed1b44b857782c8ceea8e9b4" name="a20ca49e3ed1b44b857782c8ceea8e9b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20ca49e3ed1b44b857782c8ceea8e9b4">&#9670;&#160;</a></span>OnCheckUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffBulletImpactBase::OnCheckUpdate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00040">40</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a15310d1560480f29e49171a6bc4484de" name="a15310d1560480f29e49171a6bc4484de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15310d1560480f29e49171a6bc4484de">&#9670;&#160;</a></span>OnEnterAngledCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::OnEnterAngledCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00199">199</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a38e79ddf0f342b2c864141866f993c97" name="a38e79ddf0f342b2c864141866f993c97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38e79ddf0f342b2c864141866f993c97">&#9670;&#160;</a></span>OnEnterCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::OnEnterCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00102">102</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a82d55850e109b39ea611b011b61dfa6c" name="a82d55850e109b39ea611b011b61dfa6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82d55850e109b39ea611b011b61dfa6c">&#9670;&#160;</a></span>OnExitCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::OnExitCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>outSpeedf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00155">155</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="aa40f3c16301b760a1af0da25a40704c9" name="aa40f3c16301b760a1af0da25a40704c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f3c16301b760a1af0da25a40704c9">&#9670;&#160;</a></span>OnRicochetCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::OnRicochetCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>outspeedf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00177">177</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a562187bb57d12b2011cd9cac18f66b6a" name="a562187bb57d12b2011cd9cac18f66b6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a562187bb57d12b2011cd9cac18f66b6a">&#9670;&#160;</a></span>SetAngledEnterValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::SetAngledEnterValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00067">67</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a52d3a64b754ef643bf0e6c7245d9b024" name="a52d3a64b754ef643bf0e6c7245d9b024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d3a64b754ef643bf0e6c7245d9b024">&#9670;&#160;</a></span>SetEnterParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::SetEnterParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00045">45</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a3abaab42a9c169537f1bcadbbc9cbede" name="a3abaab42a9c169537f1bcadbbc9cbede"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abaab42a9c169537f1bcadbbc9cbede">&#9670;&#160;</a></span>SetExitParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::SetExitParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00050">50</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="aaff894f60e4e17ff15d3d31014f07200" name="aaff894f60e4e17ff15d3d31014f07200"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff894f60e4e17ff15d3d31014f07200">&#9670;&#160;</a></span>SetRicochetParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::SetRicochetParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00055">55</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a2478901ae483c57515583c6a5505933a" name="a2478901ae483c57515583c6a5505933a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2478901ae483c57515583c6a5505933a">&#9670;&#160;</a></span>SetSingleParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffBulletImpactBase::SetSingleParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00060">60</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab117212103bc2e3ae931d27879d52db3" name="ab117212103bc2e3ae931d27879d52db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab117212103bc2e3ae931d27879d52db3">&#9670;&#160;</a></span>DEFAULT_PROJECTILE_WEIGHT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::DEFAULT_PROJECTILE_WEIGHT = 0.015</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a23cda262cf7c0ee20137f7f7cd3ed832" name="a23cda262cf7c0ee20137f7f7cd3ed832"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23cda262cf7c0ee20137f7f7cd3ed832">&#9670;&#160;</a></span>INFECTED_HEAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::INFECTED_HEAD = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00004">4</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a27738a12b61b0144a61c024903a50f55" name="a27738a12b61b0144a61c024903a50f55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27738a12b61b0144a61c024903a50f55">&#9670;&#160;</a></span>INVALID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::INVALID = &quot;0 0 0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00021">21</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a0da9980e666b8070ef1fae941f694cb6" name="a0da9980e666b8070ef1fae941f694cb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0da9980e666b8070ef1fae941f694cb6">&#9670;&#160;</a></span>m_AmmoType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> EffBulletImpactBase::m_AmmoType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00019">19</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a8b1d698f7d0101fc837a083fd929a499" name="a8b1d698f7d0101fc837a083fd929a499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b1d698f7d0101fc837a083fd929a499">&#9670;&#160;</a></span>m_AngledEnter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_AngledEnter = 0.40</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00033">33</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a56314704297aa1a71c1df792f955e741" name="a56314704297aa1a71c1df792f955e741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56314704297aa1a71c1df792f955e741">&#9670;&#160;</a></span>m_ComponentIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::m_ComponentIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00013">13</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="aba28c57a5c434cc91f1b8d57885a5f88" name="aba28c57a5c434cc91f1b8d57885a5f88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba28c57a5c434cc91f1b8d57885a5f88">&#9670;&#160;</a></span>m_DirectHit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> EffBulletImpactBase::m_DirectHit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00009">9</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="afc3e1b72cb2709262ed674dc55d7fd27" name="afc3e1b72cb2709262ed674dc55d7fd27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc3e1b72cb2709262ed674dc55d7fd27">&#9670;&#160;</a></span>m_EnterAngledSplashCoef</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_EnterAngledSplashCoef = 0.01</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00032">32</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a6d83d6128d28bfe23e4529a7e6fa732e" name="a6d83d6128d28bfe23e4529a7e6fa732e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d83d6128d28bfe23e4529a7e6fa732e">&#9670;&#160;</a></span>m_EnterSplashCoef</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_EnterSplashCoef = 0.003</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00029">29</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a3c93a351aba15589abb820eb72fb3305" name="a3c93a351aba15589abb820eb72fb3305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c93a351aba15589abb820eb72fb3305">&#9670;&#160;</a></span>m_ExitPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::m_ExitPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00016">16</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="ab75bfede5d9820a767aa96aa8535ca3a" name="ab75bfede5d9820a767aa96aa8535ca3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab75bfede5d9820a767aa96aa8535ca3a">&#9670;&#160;</a></span>m_ExitSplashCoef</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_ExitSplashCoef = 0.002</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00030">30</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a09243023bb2daaf3c09c3c781b71b33a" name="a09243023bb2daaf3c09c3c781b71b33a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09243023bb2daaf3c09c3c781b71b33a">&#9670;&#160;</a></span>m_ImpactType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::m_ImpactType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00012">12</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="afe16a8df96c10885dd2dea493ffaf234" name="afe16a8df96c10885dd2dea493ffaf234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe16a8df96c10885dd2dea493ffaf234">&#9670;&#160;</a></span>m_InSpeed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::m_InSpeed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00017">17</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a293d17757efb01b71223616dfd0b14dc" name="a293d17757efb01b71223616dfd0b14dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a293d17757efb01b71223616dfd0b14dc">&#9670;&#160;</a></span>m_OutSpeed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::m_OutSpeed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00018">18</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a9130cfa8528e369931fd03524872f607" name="a9130cfa8528e369931fd03524872f607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9130cfa8528e369931fd03524872f607">&#9670;&#160;</a></span>m_ParticleEnter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::m_ParticleEnter = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00024">24</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a70a6502225c2e94c703c5a9c56d1deda" name="a70a6502225c2e94c703c5a9c56d1deda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70a6502225c2e94c703c5a9c56d1deda">&#9670;&#160;</a></span>m_ParticleExit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::m_ParticleExit = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00025">25</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a760651af62198c83ed6b4ef33b0c5134" name="a760651af62198c83ed6b4ef33b0c5134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a760651af62198c83ed6b4ef33b0c5134">&#9670;&#160;</a></span>m_ParticleRicochet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::m_ParticleRicochet = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="afc5bf64574ba1c1a0f1bcc6c3f39f74d" name="afc5bf64574ba1c1a0f1bcc6c3f39f74d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc5bf64574ba1c1a0f1bcc6c3f39f74d">&#9670;&#160;</a></span>m_Pos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::m_Pos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00014">14</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="af6312eaa09499b7dc2d47402d38e84fb" name="af6312eaa09499b7dc2d47402d38e84fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6312eaa09499b7dc2d47402d38e84fb">&#9670;&#160;</a></span>m_RicochetSplashCoef</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_RicochetSplashCoef = 0.002</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00031">31</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a643ce3fe6def07ad275f3540272dcba5" name="a643ce3fe6def07ad275f3540272dcba5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a643ce3fe6def07ad275f3540272dcba5">&#9670;&#160;</a></span>m_StoppingForce</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_StoppingForce</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00010">10</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a018ee92abd39eb02391387b7b3cecef3" name="a018ee92abd39eb02391387b7b3cecef3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018ee92abd39eb02391387b7b3cecef3">&#9670;&#160;</a></span>m_SurfNormal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> EffBulletImpactBase::m_SurfNormal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00015">15</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="ada07e8f3494ac184a81451f89fcd5296" name="ada07e8f3494ac184a81451f89fcd5296"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada07e8f3494ac184a81451f89fcd5296">&#9670;&#160;</a></span>m_Weight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::m_Weight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00011">11</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="ae542890f18ea957064915cc5ad0521c1" name="ae542890f18ea957064915cc5ad0521c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae542890f18ea957064915cc5ad0521c1">&#9670;&#160;</a></span>MIN_SCALING_PARAM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffBulletImpactBase::MIN_SCALING_PARAM = 0.1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<a id="a4c62775882b556f802d74999ea9cd71d" name="a4c62775882b556f802d74999ea9cd71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c62775882b556f802d74999ea9cd71d">&#9670;&#160;</a></span>SURVIVOR_HEAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffBulletImpactBase::SURVIVOR_HEAD = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Effects/EffectParticle/<a class="el" href="../../d1/d24/_bullet_impact_base_8c_source.html">BulletImpactBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/ddb/class_eff_bullet_impact_base.html">EffBulletImpactBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
